pressing the letter 'p' no longer types the letter 'p'

Bug #1579832 reported by tiJoe
12
This bug affects 2 people
Affects Status Importance Assigned to Milestone
Ubuntu GNOME
New
Undecided
Unassigned
Xenial
New
Undecided
Unassigned

Bug Description

http://askubuntu.com/questions/763759/letter-p-disabled-after-last-16-04-udate

Letter 'p' disabled after last 16.04 update

Distributor ID: Ubuntu
Distribution: wily
Description: Ubuntu 16.04 LTS
Release: 16.04
Codename: xenial
Desktop: Gnome
GNOME Shell: 3.18.4
Computer: Samsung Ativ Book 8
I ran my latest daily updates this morning and now when I press the letter 'p' on my keyboard, it types nothing.

Interesting Information:

[shift] + p works as expected
if I turn on [caps lock] and press [shift] + p, it types a lower case 'p'
I have a dual-boot setup and checked on Windows and my letter 'p' works as expected

Revision history for this message
tiJoe (josephbergevin) wrote :

also, when I switch to Unity, the letter 'p' works as expected.

Revision history for this message
Tim Lunn (darkxst) wrote :

tiJoe,
   can you attach /var/log/dpkg.log and /var/log/apt/history.log
   and also the output from journalctl

Revision history for this message
tiJoe (josephbergevin) wrote :
Download full text (57.0 KiB)

/var/log/dpkg.log:
2016-05-03 08:59:11 startup archives unpack
2016-05-03 08:59:11 upgrade libtasn1-6:i386 4.7-3 4.7-3ubuntu0.16.04.1
2016-05-03 08:59:11 status triggers-pending libc-bin:amd64 2.23-0ubuntu3
2016-05-03 08:59:11 status half-configured libtasn1-6:i386 4.7-3
2016-05-03 08:59:11 status unpacked libtasn1-6:i386 4.7-3
2016-05-03 08:59:11 status half-configured libtasn1-6:amd64 4.7-3
2016-05-03 08:59:11 status half-installed libtasn1-6:i386 4.7-3
2016-05-03 08:59:11 status half-installed libtasn1-6:i386 4.7-3
2016-05-03 08:59:11 status unpacked libtasn1-6:i386 4.7-3ubuntu0.16.04.1
2016-05-03 08:59:11 status unpacked libtasn1-6:i386 4.7-3ubuntu0.16.04.1
2016-05-03 08:59:12 upgrade libtasn1-6:amd64 4.7-3 4.7-3ubuntu0.16.04.1
2016-05-03 08:59:12 status half-configured libtasn1-6:amd64 4.7-3
2016-05-03 08:59:12 status unpacked libtasn1-6:amd64 4.7-3
2016-05-03 08:59:12 status half-installed libtasn1-6:amd64 4.7-3
2016-05-03 08:59:12 status half-installed libtasn1-6:amd64 4.7-3
2016-05-03 08:59:12 status unpacked libtasn1-6:amd64 4.7-3ubuntu0.16.04.1
2016-05-03 08:59:12 status unpacked libtasn1-6:amd64 4.7-3ubuntu0.16.04.1
2016-05-03 08:59:12 trigproc libc-bin:amd64 2.23-0ubuntu3 <none>
2016-05-03 08:59:12 status half-configured libc-bin:amd64 2.23-0ubuntu3
2016-05-03 08:59:12 status installed libc-bin:amd64 2.23-0ubuntu3
2016-05-03 08:59:12 startup packages configure
2016-05-03 08:59:12 configure libtasn1-6:amd64 4.7-3ubuntu0.16.04.1 <none>
2016-05-03 08:59:12 status triggers-pending libc-bin:amd64 2.23-0ubuntu3
2016-05-03 08:59:12 status unpacked libtasn1-6:amd64 4.7-3ubuntu0.16.04.1
2016-05-03 08:59:12 status half-configured libtasn1-6:amd64 4.7-3ubuntu0.16.04.1
2016-05-03 08:59:12 status installed libtasn1-6:amd64 4.7-3ubuntu0.16.04.1
2016-05-03 08:59:12 configure libtasn1-6:i386 4.7-3ubuntu0.16.04.1 <none>
2016-05-03 08:59:12 status unpacked libtasn1-6:i386 4.7-3ubuntu0.16.04.1
2016-05-03 08:59:12 status half-configured libtasn1-6:i386 4.7-3ubuntu0.16.04.1
2016-05-03 08:59:12 status installed libtasn1-6:i386 4.7-3ubuntu0.16.04.1
2016-05-03 08:59:12 trigproc libc-bin:amd64 2.23-0ubuntu3 <none>
2016-05-03 08:59:12 status half-configured libc-bin:amd64 2.23-0ubuntu3
2016-05-03 08:59:12 status installed libc-bin:amd64 2.23-0ubuntu3
2016-05-03 08:59:12 startup packages configure
2016-05-04 02:19:37 startup archives unpack
2016-05-04 02:19:37 upgrade libisc-export160:amd64 1:9.10.3.dfsg.P4-8 1:9.10.3.dfsg.P4-8ubuntu1
2016-05-04 02:19:37 status triggers-pending libc-bin:amd64 2.23-0ubuntu3
2016-05-04 02:19:37 status half-configured libisc-export160:amd64 1:9.10.3.dfsg.P4-8
2016-05-04 02:19:37 status unpacked libisc-export160:amd64 1:9.10.3.dfsg.P4-8
2016-05-04 02:19:37 status half-installed libisc-export160:amd64 1:9.10.3.dfsg.P4-8
2016-05-04 02:19:37 status half-installed libisc-export160:amd64 1:9.10.3.dfsg.P4-8
2016-05-04 02:19:37 status unpacked libisc-export160:amd64 1:9.10.3.dfsg.P4-8ubuntu1
2016-05-04 02:19:37 status unpacked libisc-export160:amd64 1:9.10.3.dfsg.P4-8ubuntu1
2016-05-04 02:19:37 upgrade libdns-export162:amd64 1:9.10.3.dfsg.P4-8 1:9.10.3.dfsg.P4-8ubuntu1
2016-05-04 02:19:37 status half-configured libdns-export162:amd64 ...

Revision history for this message
tiJoe (josephbergevin) wrote :
Download full text (4.4 KiB)

journalctl output:
-- Logs begin at Tue 2016-05-10 07:51:12 MDT, end at Tue 2016-05-10 17:04:00 MDT. --
May 10 07:51:12 tiJoeLinux systemd-journald[271]: Runtime journal (/run/log/journal/) is 8.0M, max 119.0M, 111.0M free.
May 10 07:51:12 tiJoeLinux kernel: microcode: CPU0 microcode updated early to revision 0x1b, date = 2014-05-29
May 10 07:51:12 tiJoeLinux kernel: Initializing cgroup subsys cpuset
May 10 07:51:12 tiJoeLinux kernel: Initializing cgroup subsys cpu
May 10 07:51:12 tiJoeLinux kernel: Initializing cgroup subsys cpuacct
May 10 07:51:12 tiJoeLinux kernel: Linux version 4.2.0-35-generic (buildd@lgw01-43) (gcc version 5.2.1 20151010 (Ubuntu 5.2.1-22ubuntu2) ) #40-Ubuntu SMP Tue Mar 15 22:15:45 UTC 2016 (Ubuntu
May 10 07:51:12 tiJoeLinux kernel: Command line: BOOT_IMAGE=/boot/vmlinuz-4.2.0-35-generic.efi.signed root=UUID=78d5e20a-8dc0-4e26-a918-ba45ae3db460 ro quiet splash vt.handoff=7
May 10 07:51:12 tiJoeLinux kernel: KERNEL supported cpus:
May 10 07:51:12 tiJoeLinux kernel: Intel GenuineIntel
May 10 07:51:12 tiJoeLinux kernel: AMD AuthenticAMD
May 10 07:51:12 tiJoeLinux kernel: Centaur CentaurHauls
May 10 07:51:12 tiJoeLinux kernel: x86/fpu: xstate_offset[2]: 0240, xstate_sizes[2]: 0100
May 10 07:51:12 tiJoeLinux kernel: x86/fpu: Supporting XSAVE feature 0x01: 'x87 floating point registers'
May 10 07:51:12 tiJoeLinux kernel: x86/fpu: Supporting XSAVE feature 0x02: 'SSE registers'
May 10 07:51:12 tiJoeLinux kernel: x86/fpu: Supporting XSAVE feature 0x04: 'AVX registers'
May 10 07:51:12 tiJoeLinux kernel: x86/fpu: Enabled xstate features 0x7, context size is 0x340 bytes, using 'standard' format.
May 10 07:51:12 tiJoeLinux kernel: x86/fpu: Using 'eager' FPU context switches.
May 10 07:51:12 tiJoeLinux kernel: e820: BIOS-provided physical RAM map:
May 10 07:51:12 tiJoeLinux kernel: BIOS-e820: [mem 0x0000000000000000-0x000000000009dfff] usable
May 10 07:51:12 tiJoeLinux kernel: BIOS-e820: [mem 0x000000000009e000-0x000000000009ffff] reserved
May 10 07:51:12 tiJoeLinux kernel: BIOS-e820: [mem 0x0000000000100000-0x000000001fffffff] usable
May 10 07:51:12 tiJoeLinux kernel: BIOS-e820: [mem 0x0000000020000000-0x00000000201fffff] reserved
May 10 07:51:12 tiJoeLinux kernel: BIOS-e820: [mem 0x0000000020200000-0x0000000040003fff] usable
May 10 07:51:12 tiJoeLinux kernel: BIOS-e820: [mem 0x0000000040004000-0x0000000040004fff] reserved
May 10 07:51:12 tiJoeLinux kernel: BIOS-e820: [mem 0x0000000040005000-0x00000000c9714fff] usable
May 10 07:51:12 tiJoeLinux kernel: BIOS-e820: [mem 0x00000000c9715000-0x00000000c9b83fff] reserved
May 10 07:51:12 tiJoeLinux kernel: BIOS-e820: [mem 0x00000000c9b84000-0x00000000c9b93fff] ACPI data
May 10 07:51:12 tiJoeLinux kernel: BIOS-e820: [mem 0x00000000c9b94000-0x00000000ca1cefff] ACPI NVS
May 10 07:51:12 tiJoeLinux kernel: BIOS-e820: [mem 0x00000000ca1cf000-0x00000000ca87bfff] reserved
May 10 07:51:12 tiJoeLinux kernel: BIOS-e820: [mem 0x00000000ca87c000-0x00000000ca87cfff] usable
May 10 07:51:12 tiJoeLinux kernel: BIOS-e820: [mem 0x00000000ca87d000-0x00000000ca8bffff] ACPI NVS
May 10 07:51:12 tiJoeLinux kernel: BIOS-e820: [mem 0x00000000ca8c0000-0x00000000cacddfff] usable
May 10 07:51:12 tiJoeLinux kerne...

Read more...

Revision history for this message
Tim Lunn (darkxst) wrote :

What date did you update and hit this issue?
There was a new kernel have you tried booting with the previous kernel version?

also attach /var/log/apt/history.log
and journalctl log is incomplete use:
`journalctl > journal.log`

Revision history for this message
tiJoe (josephbergevin) wrote :

yeah I tried booting with the previous kernel (4.2.0-35-generic) with no luck. And the letter 'p' works fine on Unity.
4/27/2016 was the date I lost the letter 'p'.

Revision history for this message
tiJoe (josephbergevin) wrote :
Download full text (4.5 KiB)

/var/log/apt/history.log

Start-Date: 2016-05-03 08:59:11
Commandline: aptdaemon role='role-commit-packages' sender=':1.190'
Upgrade: libtasn1-6:amd64 (4.7-3, 4.7-3ubuntu0.16.04.1), libtasn1-6:i386 (4.7-3, 4.7-3ubuntu0.16.04.1)
End-Date: 2016-05-03 08:59:12

Start-Date: 2016-05-04 02:19:37
Commandline: aptdaemon role='role-commit-packages' sender=':1.86'
Upgrade: libdns-export162:amd64 (1:9.10.3.dfsg.P4-8, 1:9.10.3.dfsg.P4-8ubuntu1), libisccfg140:amd64 (1:9.10.3.dfsg.P4-8, 1:9.10.3.dfsg.P4-8ubuntu1), openssl:amd64 (1.0.2g-1ubuntu4, 1.0.2g-1ubuntu4.1), bind9-host:amd64 (1:9.10.3.dfsg.P4-8, 1:9.10.3.dfsg.P4-8ubuntu1), dnsutils:amd64 (1:9.10.3.dfsg.P4-8, 1:9.10.3.dfsg.P4-8ubuntu1), libisc160:amd64 (1:9.10.3.dfsg.P4-8, 1:9.10.3.dfsg.P4-8ubuntu1), libisc-export160:amd64 (1:9.10.3.dfsg.P4-8, 1:9.10.3.dfsg.P4-8ubuntu1), liblwres141:amd64 (1:9.10.3.dfsg.P4-8, 1:9.10.3.dfsg.P4-8ubuntu1), libdns162:amd64 (1:9.10.3.dfsg.P4-8, 1:9.10.3.dfsg.P4-8ubuntu1), libisccc140:amd64 (1:9.10.3.dfsg.P4-8, 1:9.10.3.dfsg.P4-8ubuntu1), libbind9-140:amd64 (1:9.10.3.dfsg.P4-8, 1:9.10.3.dfsg.P4-8ubuntu1), libssl1.0.0:amd64 (1.0.2g-1ubuntu4, 1.0.2g-1ubuntu4.1), libssl1.0.0:i386 (1.0.2g-1ubuntu4, 1.0.2g-1ubuntu4.1)
End-Date: 2016-05-04 02:19:44

Start-Date: 2016-05-05 11:13:10
Commandline: aptdaemon role='role-commit-packages' sender=':1.135'
Upgrade: python-samba:amd64 (2:4.3.8+dfsg-0ubuntu1, 2:4.3.9+dfsg-0ubuntu0.16.04.1), libwbclient0:amd64 (2:4.3.8+dfsg-0ubuntu1, 2:4.3.9+dfsg-0ubuntu0.16.04.1), xinit:amd64 (1.3.4-3, 1.3.4-3ubuntu0.1), samba-libs:amd64 (2:4.3.8+dfsg-0ubuntu1, 2:4.3.9+dfsg-0ubuntu0.16.04.1), samba-common:amd64 (2:4.3.8+dfsg-0ubuntu1, 2:4.3.9+dfsg-0ubuntu0.16.04.1), libsmbclient:amd64 (2:4.3.8+dfsg-0ubuntu1, 2:4.3.9+dfsg-0ubuntu0.16.04.1), samba-common-bin:amd64 (2:4.3.8+dfsg-0ubuntu1, 2:4.3.9+dfsg-0ubuntu0.16.04.1), libtevent0:amd64 (0.9.26-3, 0.9.28-0ubuntu0.16.04.1)
End-Date: 2016-05-05 11:13:17

Start-Date: 2016-05-06 21:11:41
Commandline: apt-get upgrade golang
Requested-By: joseph (1000)
Install: golang-1.6:amd64 (1.6.1-0ubuntu1, automatic), golang-1.6-go:amd64 (1.6.1-0ubuntu1, automatic), golang-1.6-doc:amd64 (1.6.1-0ubuntu1, automatic), golang-doc:amd64 (2:1.6-1ubuntu4, automatic), golang-1.6-race-detector-runtime:amd64 (0.0+svn252922-0ubuntu1, automatic), golang-1.6-src:amd64 (1.6.1-0ubuntu1, automatic), golang:amd64 (2:1.6-1ubuntu4), golang-src:amd64 (2:1.6-1ubuntu4, automatic), golang-race-detector-runtime:amd64 (2:1.6-1ubuntu4, automatic), golang-go:amd64 (2:1.6-1ubuntu4, automatic)
Upgrade: linux-libc-dev:amd64 (4.4.0-21.37, 4.4.0-22.39), gnome-software:amd64 (3.20.1+git20160420.1.ca63436.ubuntu-xenial-0ubuntu2, 3.20.1+git20160426.1.a976144-ubuntu-xenial-0ubuntu1), ubuntu-drivers-common:amd64 (1:0.4.17, 1:0.4.17.1), ubuntu-software:amd64 (3.20.1+git20160420.1.ca63436.ubuntu-xenial-0ubuntu2, 3.20.1+git20160426.1.a976144-ubuntu-xenial-0ubuntu1), gnome-software-common:amd64 (3.20.1+git20160420.1.ca63436.ubuntu-xenial-0ubuntu2, 3.20.1+git20160426.1.a976144-ubuntu-xenial-0ubuntu1)
End-Date: 2016-05-06 21:12:38

Start-Date: 2016-05-06 21:25:40
Commandline: aptdaemon role='role-commit-packages' sender=':1.110'
Install: linux-signed-image-4.4....

Read more...

Revision history for this message
tiJoe (josephbergevin) wrote :
Download full text (291.9 KiB)

Full journalctl:

-- Logs begin at Tue 2016-05-10 07:51:12 MDT, end at Tue 2016-05-10 20:39:10 MDT. --
May 10 07:51:12 tiJoeLinux systemd-journald[271]: Runtime journal (/run/log/journal/) is 8.0M, max 119.0M, 111.0M free.
May 10 07:51:12 tiJoeLinux kernel: microcode: CPU0 microcode updated early to revision 0x1b, date = 2014-05-29
May 10 07:51:12 tiJoeLinux kernel: Initializing cgroup subsys cpuset
May 10 07:51:12 tiJoeLinux kernel: Initializing cgroup subsys cpu
May 10 07:51:12 tiJoeLinux kernel: Initializing cgroup subsys cpuacct
May 10 07:51:12 tiJoeLinux kernel: Linux version 4.2.0-35-generic (buildd@lgw01-43) (gcc version 5.2.1 20151010 (Ubuntu 5.2.1-22ubuntu2) ) #40-Ubuntu SMP Tue Mar 15 22:15:45 UTC 2016 (Ubuntu 4.2.0-35.40-generic 4.2.8-ckt5)
May 10 07:51:12 tiJoeLinux kernel: Command line: BOOT_IMAGE=/boot/vmlinuz-4.2.0-35-generic.efi.signed root=UUID=78d5e20a-8dc0-4e26-a918-ba45ae3db460 ro quiet splash vt.handoff=7
May 10 07:51:12 tiJoeLinux kernel: KERNEL supported cpus:
May 10 07:51:12 tiJoeLinux kernel: Intel GenuineIntel
May 10 07:51:12 tiJoeLinux kernel: AMD AuthenticAMD
May 10 07:51:12 tiJoeLinux kernel: Centaur CentaurHauls
May 10 07:51:12 tiJoeLinux kernel: x86/fpu: xstate_offset[2]: 0240, xstate_sizes[2]: 0100
May 10 07:51:12 tiJoeLinux kernel: x86/fpu: Supporting XSAVE feature 0x01: 'x87 floating point registers'
May 10 07:51:12 tiJoeLinux kernel: x86/fpu: Supporting XSAVE feature 0x02: 'SSE registers'
May 10 07:51:12 tiJoeLinux kernel: x86/fpu: Supporting XSAVE feature 0x04: 'AVX registers'
May 10 07:51:12 tiJoeLinux kernel: x86/fpu: Enabled xstate features 0x7, context size is 0x340 bytes, using 'standard' format.
May 10 07:51:12 tiJoeLinux kernel: x86/fpu: Using 'eager' FPU context switches.
May 10 07:51:12 tiJoeLinux kernel: e820: BIOS-provided physical RAM map:
May 10 07:51:12 tiJoeLinux kernel: BIOS-e820: [mem 0x0000000000000000-0x000000000009dfff] usable
May 10 07:51:12 tiJoeLinux kernel: BIOS-e820: [mem 0x000000000009e000-0x000000000009ffff] reserved
May 10 07:51:12 tiJoeLinux kernel: BIOS-e820: [mem 0x0000000000100000-0x000000001fffffff] usable
May 10 07:51:12 tiJoeLinux kernel: BIOS-e820: [mem 0x0000000020000000-0x00000000201fffff] reserved
May 10 07:51:12 tiJoeLinux kernel: BIOS-e820: [mem 0x0000000020200000-0x0000000040003fff] usable
May 10 07:51:12 tiJoeLinux kernel: BIOS-e820: [mem 0x0000000040004000-0x0000000040004fff] reserved
May 10 07:51:12 tiJoeLinux kernel: BIOS-e820: [mem 0x0000000040005000-0x00000000c9714fff] usable
May 10 07:51:12 tiJoeLinux kernel: BIOS-e820: [mem 0x00000000c9715000-0x00000000c9b83fff] reserved
May 10 07:51:12 tiJoeLinux kernel: BIOS-e820: [mem 0x00000000c9b84000-0x00000000c9b93fff] ACPI data
May 10 07:51:12 tiJoeLinux kernel: BIOS-e820: [mem 0x00000000c9b94000-0x00000000ca1cefff] ACPI NVS
May 10 07:51:12 tiJoeLinux kernel: BIOS-e820: [mem 0x00000000ca1cf000-0x00000000ca87bfff] reserved
May 10 07:51:12 tiJoeLinux kernel: BIOS-e820: [mem 0x00000000ca87c000-0x00000000ca87cfff] usable
May 10 07:51:12 tiJoeLinux kernel: BIOS-e820: [mem 0x00000000ca87d000-0x00000000ca8bffff] ACPI NVS
May 10 07:51:12 tiJoeLinux kernel: BIOS-e820: [mem 0x00000000ca8c0000-0x00000000cacddfff] usable
M...

Revision history for this message
Tim Lunn (darkxst) wrote :

The apt logs don't go back that far so I can't see what might have changed on that day that would cause it. perhaps you have a /var/log/apt/history.1.gz that covers that date?

That journal log was running lightdm/Unity? You need to get the log after reproducing the issue in GNOME (and before rebooting).

Revision history for this message
Tim Lunn (darkxst) wrote :

tiJoe, can you test mutter_3.18.3-0ubuntu2.1~xenial1 build from ppa:darkxst/ppa

I have cherrypicked a patch from 3.20, that fixed a similar issue there (though not seen the missing keys on xenial myself)

Revision history for this message
tiJoe (josephbergevin) wrote :

darkxst, I'm pretty new to Ubuntu. Been on for about a month now. Can you point me to some instruction on how to test out that build? I'd be happy to give it a try...

Revision history for this message
tiJoe (josephbergevin) wrote :

Upgraded to gnome 3.20.2 and got my letter 'p' back.

Revision history for this message
Tim Lunn (darkxst) wrote :

were you using 3.18 previously? when the letter 'p' was missing?

Revision history for this message
Miguel Romão (romao-miguel) wrote :

This bug has returned today on Ubuntu Gnome 16.04.1 LTS. I will upgrade my installation to 16.10 as 16.04 is filled with bugs and regressions and I am sick of it.

To post a comment you must log in.
This report contains Public information  
Everyone can see this information.

Other bug subscribers